commit 08e72fed69ea304fe6cd219cded533f67b531223
Author: jklowden <jklowden>
Date:   Tue Mar 24 01:22:13 2009 +0000

    remove hard-coded #include directories

diff --git a/ChangeLog b/ChangeLog
index e82fe88..8902872 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
+Mon Mar 23 21:19:02 EDT 2009	JK Lowden <jklowden@freetds.org>
+	* src/dblib/bcp.c src/dblib/dblib.c src/dblib/dbutil.c
+	* src/dblib/rpc.c src/dblib/xact.c
+	- remove hard-coded #include directories
+	* BUGS add freebcp bug from ML
+
 Mon Mar 23 14:26:46 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/dblib/dblib.c: fix uninitialized data
 
@@ -1443,4 +1449,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2760 2009/03/23 13:28:15 freddy77 Exp $
+$Id: ChangeLog,v 1.2761 2009/03/24 01:22:13 jklowden Exp $
diff --git a/src/dblib/bcp.c b/src/dblib/bcp.c
index da2a3e5..e407004 100644
--- a/src/dblib/bcp.c
+++ b/src/dblib/bcp.c
@@ -45,9 +45,9 @@
 #include <tdsiconv.h>
 #include <tdsconvert.h>
 #include <replacements.h>
-#include <../../include/sybfront.h>
-#include <../../include/sybdb.h>
-#include <../../include/syberror.h>
+#include <sybfront.h>
+#include <sybdb.h>
+#include <syberror.h>
 #include <dblib.h>
 
 #ifdef DMALLOC
@@ -61,7 +61,7 @@
 #define MAX(a,b) ( (a) > (b) ? (a) : (b) )
 #endif
 
-TDS_RCSID(var, "$Id: bcp.c,v 1.183 2009/03/11 09:07:33 freddy77 Exp $");
+TDS_RCSID(var, "$Id: bcp.c,v 1.184 2009/03/24 01:22:14 jklowden Exp $");
 
 #ifdef HAVE_FSEEKO
 typedef off_t offset_type;
diff --git a/src/dblib/dblib.c b/src/dblib/dblib.c
index 1e7a6a2..88c4215 100644
--- a/src/dblib/dblib.c
+++ b/src/dblib/dblib.c
@@ -66,16 +66,16 @@
 #include <tdsthread.h>
 #include <tdsconvert.h>
 #include <replacements.h>
-#include <../../include/sybfront.h>
-#include <../../include/sybdb.h>
-#include <../../include/syberror.h>
+#include <sybfront.h>
+#include <sybdb.h>
+#include <syberror.h>
 #include <dblib.h>
 
 #ifdef DMALLOC
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: dblib.c,v 1.345 2009/03/23 13:28:15 freddy77 Exp $");
+TDS_RCSID(var, "$Id: dblib.c,v 1.346 2009/03/24 01:22:14 jklowden Exp $");
 
 static RETCODE _dbresults(DBPROCESS * dbproc);
 static int _db_get_server_type(int bindtype);
@@ -1095,10 +1095,20 @@ tdsdbopen(LOGINREC * login, const char *server, int msdblib)
 	DBPROCESS *dbproc = NULL;
 	TDSCONNECTION *connection;
 
-	tdsdump_log(TDS_DBG_FUNC, "dbopen(%p, %s, [%s])\n", login, server, msdblib? "microsoft" : "sybase");
+	tdsdump_log(TDS_DBG_FUNC, "dbopen(%p, %s, [%s])\n", login, server? server : "0x0", msdblib? "microsoft" : "sybase");
+
+	/*
+	 * Sybase supports the DSQUERY environment variable and falls back to "SYBASE" if server is NULL. 
+	 * Microsoft uses a NULL or "" server to indicate a local server.  
+	 * FIXME: support local server for win32.  
+	 */
+	if (!server && !msdblib) {
+		if ((server = getenv("TDSQUERY")) == NULL)
+			if ((server = getenv("DSQUERY")) == NULL)
+				server = "SYBASE";
+		tdsdump_log(TDS_DBG_FUNC, "servername set to %s", server);
+	}
 
-	CHECK_NULP(server, "dbopen", 2, NULL);
-	
 	if ((dbproc = calloc(1, sizeof(DBPROCESS))) == NULL) {
 		dbperror(NULL, SYBEMEM, errno);
 		return NULL;
diff --git a/src/dblib/dbutil.c b/src/dblib/dbutil.c
index d48bf4b..098568e 100644
--- a/src/dblib/dbutil.c
+++ b/src/dblib/dbutil.c
@@ -30,15 +30,15 @@
 #endif /* HAVE_STDLIB_H */
 
 #include <tds.h>
-#include <../../include/sybdb.h>
-#include <../../include/syberror.h>
+#include <sybdb.h>
+#include <syberror.h>
 #include <dblib.h>
 
 #ifdef DMALLOC
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: dbutil.c,v 1.45 2009/01/16 20:27:58 jklowden Exp $");
+TDS_RCSID(var, "$Id: dbutil.c,v 1.46 2009/03/24 01:22:14 jklowden Exp $");
 
 /*
  * test include consistency 
diff --git a/src/dblib/rpc.c b/src/dblib/rpc.c
index 7b68281..8d8947d 100644
--- a/src/dblib/rpc.c
+++ b/src/dblib/rpc.c
@@ -46,15 +46,15 @@
 #include <tds.h>
 #include <tdsconvert.h>
 #include <replacements.h>
-#include <../../include/sybfront.h>
-#include <../../include/sybdb.h>
+#include <sybfront.h>
+#include <sybdb.h>
 #include <dblib.h>
 
 #ifdef DMALLOC
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: rpc.c,v 1.67 2009/01/31 19:13:20 jklowden Exp $");
+TDS_RCSID(var, "$Id: rpc.c,v 1.68 2009/03/24 01:22:14 jklowden Exp $");
 
 static void rpc_clear(DBREMOTE_PROC * rpc);
 static void param_clear(DBREMOTE_PROC_PARAM * pparam);
diff --git a/src/dblib/xact.c b/src/dblib/xact.c
index f46bc7c..d0074ae 100644
--- a/src/dblib/xact.c
+++ b/src/dblib/xact.c
@@ -29,15 +29,15 @@
 #endif /* HAVE_UNISTD_H */
 
 #include <tds.h>
-#include <../../include/sybfront.h>
-#include <../../include/sybdb.h>
+#include <sybfront.h>
+#include <sybdb.h>
 #include <dblib.h>
 
 #ifdef DMALLOC
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: xact.c,v 1.13 2009/01/31 19:13:20 jklowden Exp $");
+TDS_RCSID(var, "$Id: xact.c,v 1.14 2009/03/24 01:22:14 jklowden Exp $");
 
 
 #if defined(DBLIB_UNIMPLEMENTED)

